Bad idea the integration with BitNami

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Bad idea the integration with BitNami

Postby Rredy » 11. November 2015 15:40

Unfortunately after integration with BitNami, XAMPP give many errors after installation and requires many adjustments. (even V 5.6.14)
Xampp was a robust kit for quick install Apache, MySQL, FileZila,...
Latest kits, with BitNami brand are disappointing: admin rights denied, phpMyAdmin version is outdated - must update, mysql.db table corrupted and so on, ... a real mess!
Can we have back a clean version of up to date XAMPP without BitNami integration?
Rredy
 
Posts: 2
Joined: 11. November 2015 14:15
Operating System: Windows 10

Re: Bad idea the integration with BitNami

Postby Nobbie » 11. November 2015 17:15

Of course, welcome to the Xampp Team, feel free to provide us an error free, up to date Xampp version. Thx in advance!
Nobbie
 
Posts: 8762
Joined: 09. March 2008 13:04

Re: Bad idea the integration with BitNami

Postby Rredy » 12. November 2015 11:35

In fact, to be fair, I noticed that configuration errors as:
"The phpMyAdmin configuration storage is not completely configured" or
"A newer version of phpMyAdmin is available and you should consider upgrading",
occurred after MariaDB database integration and still persist.
Rredy
 
Posts: 2
Joined: 11. November 2015 14:15
Operating System: Windows 10

Re: Bad idea the integration with BitNami

Postby Altrea » 12. November 2015 22:21

Rredy wrote:"The phpMyAdmin configuration storage is not completely configured"

Is this an issue? Do you miss any of this advanced phpMyAdmin features? In fact phpMyAdmin could be used without any of them.

Rredy wrote:"A newer version of phpMyAdmin is available and you should consider upgrading"

This is a phpMyAdmin message that always occurs if the phpMyAdmin update check find any newer release. Keep in mind that XAMPP is a bundle of software products preconfigured to work with each other. This bundle needs to be tested etc etc. So it can happen that a software updates in the period between the day a software version is choosen and the bundle gets released. Even if the bundle gets released with an up to date version, it can happen that this software gets an update a few days later.

So, if you always want to have the most recent versions of all components feel free to install them all separately and update them frequently.

In one case you are completely wrong: This is not an Bitnami issue. Simply take a look at the release cyclus before Bitnami and you will realise that now XAMPP gets much faster an update.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Bad idea the integration with BitNami

Postby Beltran » 13. November 2015 16:11

Hi,

Thanks for your feedback. I am one of the XAMPP maintainers and I am also a Bitnami developer.

We have been working with the XAMPP community in this thread https://community.apachefriends.org/f/viewtopic.php?f=16&t=72035 to fix the latest issues with MariaDB and phpMyAdmin. To address this issue it has been necessary to upgrade to a new phpMyAdmin version (that was not released when we released XAMPP version) and also adding some fixes that are not available in phpMyAdmin 5.4.1 version yet. It has been also necessary to fix how XAMPP Control panel on windows manage the MariaDB server properly on Windows. I hope you have a better experience with the recently released XAMPP.

Btw old version are also available at http://sourceforge.net/projects/xampp/files/.
User avatar
Beltran
Power-User
 
Posts: 108
Joined: 22. March 2013 12:29
Operating System: Windows, Linux, OS X


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 31 guests